# Updates a batch with the specified ID. This method will update an existing batch with the specified ID. Endpoint: PUT /batches/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the batch to update. ## Request fields (application/json): - `automatically_close_at` (string) Date/time at which this batch should automatically close - `business_unit_id` (string, required) The business unit that the batch belongs in - `closed_at` (string) Date the batch was closed - `count` (number) The total # of payments + refunds - `currency_code` (string) The currency code in use - `currency_symbol` (string) The currency symbol - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string, required) The date of the batch - `dependents` (array) List of batches that depend on this one - `description` (string) Descriptive notes about the batch - `downloaded_at` (string) Date the batch was downloaded - `downloading_workflow_execution_id` (string) The ID of the state machine execution that last downloaded this batch - `errors` (array) - `errors.error_message` (string) - `errors.transaction_id` (string) - `errors.transaction_type` (string) - `fiscal_period` (integer, required) The fiscal period of the batch - `fiscal_year_id` (string, required) The fiscal year of the business unit - `id` (string, required) The unique, string identifier of this batch - `name` (string, required) The name of the batch - `posted_at` (string) The date the batch was posted - `posting_workflow_execution_id` (string) The ID of the state machine execution that posted this batch - `recurring_batch_id` (string) The recurring batch definition that this batch is tied to - `statistics` (object) - `statistics.credit_memo_total` (number) - `statistics.credit_total` (number) - `statistics.debit_memo_total` (number) - `statistics.invoice_total` (number) - `statistics.number_of_credit_memos` (number) - `statistics.number_of_credits` (number) - `statistics.number_of_debit_memos` (number) - `statistics.number_of_invoices` (number) - `statistics.number_of_payments` (number) - `statistics.number_of_refunds` (number) - `statistics.number_of_write_offs` (number) - `statistics.payment_total` (number) - `statistics.refund_total` (number) - `statistics.write_off_total` (number) - `status` (string) Enum: "archived", "closed", "downloaded", "error", "open", "posted", "posting", "verified" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_composite_fiscal_period_key` (string) Internal use - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_fiscal_period_id` (string) Concatenation of the fiscal year and fiscal period - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total` (number) The total amount of payments - refunds for the batch - `type` (string) Type of batch Enum: "cost of goods sold", "deferred revenue", "legacy", "transaction" - `unposting_workflow_execution_id` (string) The ID of the state machine execution that last unposted this batch ## Response 200 fields (application/json): - `automatically_close_at` (string) Date/time at which this batch should automatically close - `business_unit_id` (string, required) The business unit that the batch belongs in - `closed_at` (string) Date the batch was closed - `count` (number) The total # of payments + refunds - `currency_code` (string) The currency code in use - `currency_symbol` (string) The currency symbol - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string, required) The date of the batch - `dependents` (array) List of batches that depend on this one - `description` (string) Descriptive notes about the batch - `downloaded_at` (string) Date the batch was downloaded - `downloading_workflow_execution_id` (string) The ID of the state machine execution that last downloaded this batch - `errors` (array) - `errors.error_message` (string) - `errors.transaction_id` (string) - `errors.transaction_type` (string) - `fiscal_period` (integer, required) The fiscal period of the batch - `fiscal_year_id` (string, required) The fiscal year of the business unit - `id` (string, required) The unique, string identifier of this batch - `name` (string, required) The name of the batch - `posted_at` (string) The date the batch was posted - `posting_workflow_execution_id` (string) The ID of the state machine execution that posted this batch - `recurring_batch_id` (string) The recurring batch definition that this batch is tied to - `statistics` (object) - `statistics.credit_memo_total` (number) - `statistics.credit_total` (number) - `statistics.debit_memo_total` (number) - `statistics.invoice_total` (number) - `statistics.number_of_credit_memos` (number) - `statistics.number_of_credits` (number) - `statistics.number_of_debit_memos` (number) - `statistics.number_of_invoices` (number) - `statistics.number_of_payments` (number) - `statistics.number_of_refunds` (number) - `statistics.number_of_write_offs` (number) - `statistics.payment_total` (number) - `statistics.refund_total` (number) - `statistics.write_off_total` (number) - `status` (string) Enum: "archived", "closed", "downloaded", "error", "open", "posted", "posting", "verified" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_composite_fiscal_period_key` (string) Internal use - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_fiscal_period_id` (string) Concatenation of the fiscal year and fiscal period - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total` (number) The total amount of payments - refunds for the batch - `type` (string) Type of batch Enum: "cost of goods sold", "deferred revenue", "legacy", "transaction" - `unposting_workflow_execution_id` (string) The ID of the state machine execution that last unposted this batch ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields